"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
function _client() {
  const data = require("@nocobase/client");
  _client = function _client() {
    return data;
  };
  return data;
}
var _collection = require("../schemas/collection");
var _locale = require("../locale");
var _CollectionBlockInitializer = require("../components/CollectionBlockInitializer");
var _CollectionFieldInitializers = require("../components/CollectionFieldInitializers");
var _FilterDynamicComponent = require("../components/FilterDynamicComponent");
var _variable = require("../variable");
var _FieldsSelect = require("../components/FieldsSelect");
var _default = {
  title: `{{t("Query record", { ns: "${_locale.NAMESPACE}" })}}`,
  type: 'query',
  group: 'collection',
  fieldset: {
    collection: _collection.collection,
    // multiple: {
    //   type: 'boolean',
    //   title: `{{t("Multiple records", { ns: "${NAMESPACE}" })}}`,
    //   'x-decorator': 'FormItem',
    //   'x-component': 'Checkbox',
    //   'x-component-props': {
    //     disabled: true
    //   }
    // },
    params: {
      type: 'object',
      properties: {
        filter: _collection.filter,
        appends: _collection.appends
      }
    },
    failOnEmpty: {
      type: 'boolean',
      title: `{{t("Fail on no data", { ns: "${_locale.NAMESPACE}" })}}`,
      'x-decorator': 'FormItem',
      'x-component': 'Checkbox'
    }
  },
  view: {},
  scope: {
    useCollectionDataSource: _client().useCollectionDataSource
  },
  components: {
    FilterDynamicComponent: _FilterDynamicComponent.FilterDynamicComponent,
    FieldsSelect: _FieldsSelect.FieldsSelect
  },
  getOptions(config, types) {
    var _config$params, _config$params$append;
    return (0, _variable.useCollectionFieldOptions)({
      collection: config.collection,
      types,
      depth: ((_config$params = config.params) === null || _config$params === void 0 ? void 0 : (_config$params$append = _config$params.appends) === null || _config$params$append === void 0 ? void 0 : _config$params$append.length) ? 1 : 0
    });
  },
  useInitializers(node) {
    var _node$title;
    if (!node.config.collection) {
      return null;
    }
    return {
      type: 'item',
      title: (_node$title = node.title) !== null && _node$title !== void 0 ? _node$title : `#${node.id}`,
      component: _CollectionBlockInitializer.CollectionBlockInitializer,
      collection: node.config.collection,
      dataSource: `{{$jobsMapByNodeId.${node.id}}}`
    };
  },
  initializers: {
    CollectionFieldInitializers: _CollectionFieldInitializers.CollectionFieldInitializers
  }
};
exports.default = _default;